Bug 198042 - line thickness is ignored when drawing antialiased lines
Summary: line thickness is ignored when drawing antialiased lines
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gd   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-08 13:31 UTC by Joel Uckelman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-16 13:54:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test program (431 bytes, text/x-csrc)
2006-07-08 13:33 UTC, Joel Uckelman
no flags Details

Description Joel Uckelman 2006-07-08 13:31:52 UTC
Description of problem:

If gdImageLine is called with the draw color as gdAntiAliased, the resulting
line is always a (perceptually) 1-pixel thick line, regardless of what value was
called with gdImageSetThickness.

Version-Release number of selected component (if applicable):

gd-2.0.33-6.2

How reproducible:

Set thickness to n > 1. Draw a line with the antialased color.
  
Actual results:

A 1-pixel wide AA line is drawn.

Expected results:

An n-pixel wide AA line is drawn.

Comment 1 Joel Uckelman 2006-07-08 13:33:13 UTC
Created attachment 132107 [details]
test program

This short C program displays the problem:

gcc -o foo -lgd foo.c
./foo >line.png

Comment 2 Ivana Varekova 2006-11-16 13:54:25 UTC
Fixed in gd-2.0.33-10.fc7.

Comment 3 Joel Uckelman 2006-11-16 13:57:24 UTC
Great! Thanks very much!


Note You need to log in before you can comment on or make changes to this bug.